#include "xfxspawndef.h"

XFxSpawnDef::XFxSpawnDef()
    : XAsset()
    , mLooping()
    , mOneShot()
{
    SetName("Spawn Definition");
}

XFxSpawnDef::~XFxSpawnDef()
{
    
}

void XFxSpawnDef::Clear()
{
    mLooping.Clear();
    mOneShot.Clear();
}

void XFxSpawnDef::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxSpawnDef::ParseData
}
